Home
Release Notes
Home
Release Notes
Linkedin
  1. Transactions
  • Baladâ„¢ Gateway Documentation đŸ“–
  • Get Started
  • Authorization
  • Responses
  • Go Live!
  • FAQs
  • APIs
    • Authentication
      • Token
    • Core
      • Exchange rate
        • Exchange Rates
      • Balance
        • Get Current Balance
      • Secrets
        • Generate Secret
        • Delete Secret
        • Get Secrets
    • Link
      • Sandbox Testing Guide
      • Error Codes
      • Transaction Lifecycle V2
      • Lookups
        • Purposes List
        • Sources List
        • Banks List
        • Relations
      • Transactions
        • Create transaction
          POST
        • Update transaction
          POST
        • Cancel transaction
          POST
        • Get transaction status V2
          GET
        • Transactions List
          GET
        • Export Transactions List
          GET
        • Calculate receiving amount
          POST
        • Validate Account
          POST
      • Reconciliation
        • Reconciliation
  • Webhooks
    • Link.Transaction.StatusUpdateV2
  1. Transactions

Calculate receiving amount

POST
/remit-api/v1/transactions/calculate-receiving-amount
This API endpoint calculates and retrieves the receiving amount based on the sending amount. The transaction type is optional; if provided, the API will return the receiving amount in the currency associated with the specified transaction type. If the transaction type is not provided, the API will return the receiving amount for all available currencies.
Request Params
ParameterTypeMandatoryRemarks
amount_usdIntegerYThis is the amount being sent and needs to be used for calculating the corresponding receiving amount.
transaction_typeIntegerNThe transaction type
1- Cash
2 - Account Credit
3 - Wallet
4 -Credit/Debit Card
Response Params
SI NoParameterRemarks
1currency_codethe receiving currency
2amountthe receiving amount

Request

Authorization
or
Header Params

Body Params application/json

Example
{
    "amount_usd":XXXX,
    "transaction_type":X
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://gateway-sandbox.balad.tech/remit-api/v1/transactions/calculate-receiving-amount' \
--header 'Content-Type: application/json' \
--data '{
    "amount_usd":XXXX,
    "transaction_type":X
}'

Responses

đŸŸ¢200EG Country
application/json
Bodyapplication/json

Example
{
    "data": [
        {
            "currency_code": "EGP",
            "amount":XXX
        },
        {
            "currency_code": "USD",
            "amount":XXX
        }
    ],
    "errors": null
}
Previous
Export Transactions List
Next
Validate Account
Built with